//--------------------------------------------------------------------
// WKMascot CXNvg
//--------------------------------------------------------------------

require("MOD/Mascot/MascotMiku.nut");
require("MOD/Mascot/MascotDefault.nut");
require("MOD/AI/AIDefault.nut");

//------------------------------------------------

mascot <- null;


//------------------------------------------------
//j[ - "~N"
//------------------------------------------------

function Menu_Miku() {

	local x = 0.0;
	local y = 0.0;
	local z = 0.0;

	if( mascot!=null ) {
		x = mascot.GetPosX();
		y = mascot.GetPosY();
		z = mascot.GetPosZ();
		mascot.Kill();
		mascot = null;
	}

	// ~N}XRbg쐬
	mascot = MascotMiku.new();
	mascot.SetPos( x, y, z );
	mascot.SetDir( deg2rad(180), 0 );

	// AIݒ
	mascot.SetAI( AIDefault.new() );


	cpp_RemovePopupMenu( 0 );
	cpp_RemovePopupMenu( 1 );
	cpp_RemovePopupMenu( 2 );
	cpp_RemovePopupMenu( 3 );

	cpp_AddPopupMenu( 0, "fǂݍ", this, Menu_LoadModel );

}

//------------------------------------------------
//j[ - "fǂݍ"
//------------------------------------------------

function Menu_LoadModel() {

	local fn = cpp_OpenFileDialog( "COLLADA 1.4(*.dae)\0*.dae\0", "dae" );
	if( fn!="" ) {

		local x = 0.0;
		local y = 0.0;
		local z = 0.0;

		print( "LoadModel:[" + fn + "]\n" );

		if( mascot!=null ) {
			x = mascot.GetPosX();
			y = mascot.GetPosY();
			z = mascot.GetPosZ();
			mascot.Kill();
			mascot = null;
		}

		mascot = MascotDefault.new( fn );
		mascot.SetPos( x, y, z );
		mascot.SetDir( deg2rad(180), 0 );

		cpp_RemovePopupMenu( 0 );
		cpp_RemovePopupMenu( 1 );
		cpp_RemovePopupMenu( 2 );
		cpp_RemovePopupMenu( 3 );

		cpp_AddPopupMenu( 0, "~NAI[h", this, Menu_Miku );
		cpp_AddPopupMenuSeparator( 1 );
		cpp_AddPopupMenu( 2, "fǂݍ", this, Menu_LoadModel );
		cpp_AddPopupMenu( 3, "[Vǂݍ", this, Menu_LoadMotion );

	}

}

//------------------------------------------------
//j[ - "[Vǂݍ"
//------------------------------------------------

function Menu_LoadMotion() {

	local fn = cpp_OpenFileDialog( "COLLADA 1.4(*.dae)\0*.dae\0", "dae" );
	if( fn!="" ) {

		print( "LoadMotion:[" + fn + "]\n" );

		mascot.LoadMotion( "default", fn );
		mascot.SetMotion( "default" );

	}

}


//------------------------------------------------

//~NAI[hŋN
Menu_Miku();

//frA[[hŋN
//Menu_LoadModel();



